/*
BotV2

Testing ScriptsAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package botapiv2

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/botapiv2"
)

func Test_botapiv2_ScriptsAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test ScriptsAPIService CloneScript", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var scriptId string

		resp, httpRes, err := apiClient.ScriptsAPI.CloneScript(context.Background(), channelId, scriptId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ScriptsAPIService CreateScript", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string

		resp, httpRes, err := apiClient.ScriptsAPI.CreateScript(context.Background(), channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ScriptsAPIService DeleteScript", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var scriptId string

		resp, httpRes, err := apiClient.ScriptsAPI.DeleteScript(context.Background(), channelId, scriptId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ScriptsAPIService GenerateOpeningTemplates", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var scriptId string

		resp, httpRes, err := apiClient.ScriptsAPI.GenerateOpeningTemplates(context.Background(), channelId, scriptId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ScriptsAPIService GetScript", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var scriptId string

		resp, httpRes, err := apiClient.ScriptsAPI.GetScript(context.Background(), channelId, scriptId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ScriptsAPIService GetScriptUsedParams", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var scriptId string

		resp, httpRes, err := apiClient.ScriptsAPI.GetScriptUsedParams(context.Background(), channelId, scriptId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ScriptsAPIService GetSettings", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string

		resp, httpRes, err := apiClient.ScriptsAPI.GetSettings(context.Background(), channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ScriptsAPIService ListScripts", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string

		resp, httpRes, err := apiClient.ScriptsAPI.ListScripts(context.Background(), channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ScriptsAPIService RequestOpeningTemplates", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var scriptId string

		resp, httpRes, err := apiClient.ScriptsAPI.RequestOpeningTemplates(context.Background(), channelId, scriptId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ScriptsAPIService StartScript", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var scriptId string

		resp, httpRes, err := apiClient.ScriptsAPI.StartScript(context.Background(), channelId, scriptId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ScriptsAPIService UpdateScript", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var scriptId string

		resp, httpRes, err := apiClient.ScriptsAPI.UpdateScript(context.Background(), channelId, scriptId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
